DELETE
/api/v1/webhooks/{id}Disable a webhook subscription
Required scope:
webhooks:manageBearer tokenEnvironments
- SANDBOX
- Authorized local or test environment; no public hosted Sandbox is currently offered.
- PRODUCTION
https://getsas.xyz/api/v1/webhooks/{id}
Request
Headers
| Header | Value | Required |
|---|---|---|
| Authorization | Bearer <ACCESS_TOKEN> | Yes |
Parameters
| Name | In | Type | Description |
|---|---|---|---|
| id | path | string · uuid | — |
Code examples
curl --request DELETE 'https://getsas.xyz/api/v1/webhooks/{id}' \
--header 'Authorization: Bearer <ACCESS_TOKEN>'Response
200 Subscription disabled
{
"description": "Subscription disabled",
"headers": {
"RateLimit-Limit": {
"$ref": "#/components/headers/RateLimitLimit"
},
"RateLimit-Remaining": {
"$ref": "#/components/headers/RateLimitRemaining"
},
"RateLimit-Reset": {
"$ref": "#/components/headers/RateLimitReset"
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/WebhookDisableResponse"
}
}
}
}Errors
| 400 | Invalid request |
| 401 | Missing or invalid access token |
| 404 | Authenticated webhook subscription was not found for this installation |
| 429 | Fixed-window request limit exceeded for this installation and route key |
| 500 | Internal API failure |
| 503 | Rate-limit service unavailable; request is rejected closed |